VERSION 5.00
Begin VB.UserControl mkcHyperLinks 
   ClientHeight    =   255
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1845
   PropertyPages   =   "mkcHyperLinks.ctx":0000
   ScaleHeight     =   255
   ScaleWidth      =   1845
   ToolboxBitmap   =   "mkcHyperLinks.ctx":0033
   Begin VB.Label lblURL 
      BackStyle       =   0  'Transparent
      Height          =   375
      Left            =   360
      TabIndex        =   1
      Top             =   240
      Visible         =   0   'False
      Width           =   1215
   End
   Begin VB.Label lblLink 
      BackStyle       =   0  'Transparent
      Caption         =   "www.mkccomputers.com"
      ForeColor       =   &H00C00000&
      Height          =   255
      Left            =   0
      MouseIcon       =   "mkcHyperLinks.ctx":0345
      MousePointer    =   99  'Custom
      TabIndex        =   0
      Top             =   0
      Width           =   1845
   End
End
Attribute VB_Name = "mkcHyperLinks"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "PropPageWizardRun" ,"Yes"
'============================================================================================
' mkcHyperLink Control
'============================================================================================
' Created By: Marc Cramer
' Published Date: 01/09/2001
' WebSite: MKC Computers at http://www.mkccomputers.com
'============================================================================================
Option Explicit
'Enum Values:
Public Enum Alignment
  [Left Justify] = 0
  [Right Justify] = 1
  [Center] = 2
End Enum
Public Enum BorderStyle
  [None] = 0
  [Fixed Single] = 1
End Enum
'Default Property Values:
Const m_def_LinkURL = ""
Const m_def_LinkVisitedColor = &H800080
Const m_def_LinkSingleClickActivate = True
'Property Variables:
Dim m_LinkURL As String
Dim m_LinkVisitedColor As OLE_COLOR
Dim m_LinkSingleClickActivate As Boolean
'Event Declarations:
Event Click() 'MappingInfo=lblLink,lblLink,-1,Click
Attribute Click.VB_Description = "Occurs when the user presses and then releases a mouse button over an object."
Event DblClick() 'MappingInfo=lblLink,lblLink,-1,DblClick
Attribute DblClick.VB_Description = "Occurs when the user presses and releases a mouse button and then presses and releases it again over an object."
Event MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=lblLink,lblLink,-1,MouseDown
Attribute MouseDown.VB_Description = "Occurs when the user presses the mouse button while an object has the focus."
Event MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=lblLink,lblLink,-1,MouseMove
Attribute MouseMove.VB_Description = "Occurs when the user moves the mouse."
Event MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=lblLink,lblLink,-1,MouseUp
Attribute MouseUp.VB_Description = "Occurs when the user releases the mouse button while an object has the focus."
Event InitProperties() 'MappingInfo=UserControl,UserControl,-1,InitProperties
Attribute InitProperties.VB_Description = "Occurs the first time a user control or user document is created."
Event ReadProperties(PropBag As PropertyBag) 'MappingInfo=UserControl,UserControl,-1,ReadProperties
Event Resize() 'MappingInfo=UserControl,UserControl,-1,Resize
Attribute Resize.VB_Description = "Occurs when a form is first displayed or the size of an object changes."
Event WriteProperties(PropBag As PropertyBag) 'MappingInfo=UserControl,UserControl,-1,WriteProperties
Event Navigate(Cancel As Boolean)
' API/Function Declarations:
Private Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,BackColor
Public Property Get BackColor() As OLE_COLOR
Attribute BackColor.VB_Description = "Returns/sets the background color used to display text and graphics in an object."
  BackColor = UserControl.BackColor
End Property 'Get BackColor() As OLE_COLOR
'============================================================================================
Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
  UserControl.BackColor() = New_BackColor
  PropertyChanged "BackColor"
End Property 'Let BackColor(ByVal New_BackColor As OLE_COLOR)
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,Enabled
Public Property Get Enabled() As Boolean
Attribute Enabled.VB_Description = "Returns/sets a value that determines whether an object can respond to user-generated events."
Attribute Enabled.VB_ProcData.VB_Invoke_Property = "Miscellaneous"
  Enabled = UserControl.Enabled
End Property 'Get Enabled() As Boolean
'============================================================================================
Public Property Let Enabled(ByVal New_Enabled As Boolean)
  UserControl.Enabled() = New_Enabled
  PropertyChanged "Enabled"
End Property 'Let Enabled(ByVal New_Enabled As Boolean)
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblLink,lblLink,-1,Font
Public Property Get Font() As Font
Attribute Font.VB_Description = "Returns a Font object."
Attribute Font.VB_UserMemId = -512
  Set Font = lblLink.Font
End Property 'Get Font() As Font
'============================================================================================
Public Property Set Font(ByVal New_Font As Font)
  Set lblLink.Font = New_Font
  PropertyChanged "Font"
End Property 'Set Font(ByVal New_Font As Font)
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,BorderStyle
Public Property Get BorderStyle() As BorderStyle
Attribute BorderStyle.VB_Description = "Returns/sets the border style for an object."
  BorderStyle = UserControl.BorderStyle
End Property 'Get BorderStyle() As BorderStyle
'============================================================================================
Public Property Let BorderStyle(ByVal New_BorderStyle As BorderStyle)
  UserControl.BorderStyle() = New_BorderStyle
  PropertyChanged "BorderStyle"
End Property 'BorderStyle(ByVal New_BorderStyle As BorderStyle)
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,Refresh
Public Sub Refresh()
Attribute Refresh.VB_Description = "Forces a complete repaint of a object."
  lblLink.Refresh
  UserControl.Refresh
End Sub 'Refresh()
'============================================================================================
Private Sub lblLink_Click()
  RaiseEvent Click
  If LinkSingleClickActivate = True Then
    Dim Cancel As Boolean
    RaiseEvent Navigate(Cancel)
    If Cancel = True Then Exit Sub
    LinkClicked
  End If
End Sub 'lblLink_Click()
'============================================================================================
Private Sub lblLink_DblClick()
Dim Cancel As Boolean
  RaiseEvent DblClick
  RaiseEvent Navigate(Cancel)
  If Cancel = True Then Exit Sub
  LinkClicked
End Sub 'lblLink_DblClick()
'============================================================================================
Private Sub LinkClicked()
Dim MyHyperlink As String
  If LinkURL = "" Then LinkURL = lblLink.Caption
  MyHyperlink = LinkURL
  If MyHyperlink Like "mailto:*@*.*" Then MyHyperlink = Right(LinkURL, Len(LinkURL) - 7)
  If MyHyperlink Like "*@*.*" Then
    ShellExecute 0&, vbNullString, "mailto:" & MyHyperlink, vbNullString, vbNullString, vbNormalFocus
  Else
    ShellExecute 0&, vbNullString, MyHyperlink, vbNullString, vbNullString, vbNormalFocus
  End If
  lblLink.ForeColor = LinkVisitedColor
  Refresh
End Sub 'LinkClicked()
'============================================================================================
Private Sub lblLink_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
  RaiseEvent MouseDown(Button, Shift, X, Y)
End Sub 'lblLink_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
'============================================================================================
Private Sub lblLink_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
  RaiseEvent MouseMove(Button, Shift, X, Y)
End Sub 'lblLink_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
'============================================================================================
Private Sub lblLink_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
  RaiseEvent MouseUp(Button, Shift, X, Y)
End Sub 'lblLink_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblLink,lblLink,-1,Alignment
Public Property Get Alignment() As Alignment
Attribute Alignment.VB_Description = "Returns/sets the alignment of a CheckBox or OptionButton, or a control's text."
  Alignment = lblLink.Alignment
End Property 'Get Alignment() As Alignment
'============================================================================================
Public Property Let Alignment(ByVal New_Alignment As Alignment)
  lblLink.Alignment() = New_Alignment
  PropertyChanged "Alignment"
End Property 'Let Alignment(ByVal New_Alignment As Alignment)
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblLink,lblLink,-1,AutoSize
Public Property Get AutoSize() As Boolean
Attribute AutoSize.VB_Description = "Determines whether a control is automatically resized to display its entire contents."
Attribute AutoSize.VB_ProcData.VB_Invoke_Property = "Miscellaneous"
  AutoSize = lblLink.AutoSize
End Property 'Get AutoSize() As Boolean
'============================================================================================
Public Property Let AutoSize(ByVal New_AutoSize As Boolean)
  lblLink.AutoSize() = New_AutoSize
  If New_AutoSize = True Then
    Dim TempWidth As Single
    Dim TempHeight As Single
    TempWidth = lblLink.Width
    TempHeight = lblLink.Height
    If BorderStyle = 1 Then
      UserControl.Width = TempWidth + 100
      UserControl.Height = TempHeight + 100
    Else
      UserControl.Width = TempWidth
      UserControl.Height = TempHeight
    End If
  End If
  PropertyChanged "AutoSize"
End Property 'Let AutoSize(ByVal New_AutoSize As Boolean)
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblLink,lblLink,-1,Caption
Public Property Get Caption() As String
Attribute Caption.VB_Description = "Returns/sets the text displayed in an object's title bar or below an object's icon."
Attribute Caption.VB_ProcData.VB_Invoke_Property = "Miscellaneous"
  Caption = lblLink.Caption
End Property 'Get Caption() As String
'============================================================================================
Public Property Let Caption(ByVal New_Caption As String)
  lblLink.Caption() = New_Caption
  If LinkURL = "" Then LinkURL = New_Caption
  PropertyChanged "Caption"
End Property 'Let Caption(ByVal New_Caption As String)
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,hWnd
Public Property Get hwnd() As Long
Attribute hwnd.VB_Description = "Returns a handle (from Microsoft Windows) to an object's window."
  hwnd = UserControl.hwnd
End Property 'Get hwnd() As Long
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,hDC
Public Property Get hDC() As Long
Attribute hDC.VB_Description = "Returns a handle (from Microsoft Windows) to the object's device context."
  hDC = UserControl.hDC
End Property 'Get hDC() As Long
'============================================================================================
Private Sub UserControl_InitProperties()
  Caption = Extender.Name
  m_LinkVisitedColor = m_def_LinkVisitedColor
  m_LinkSingleClickActivate = m_def_LinkSingleClickActivate
  m_LinkURL = m_def_LinkURL
  RaiseEvent InitProperties
End Sub 'UserControl_InitProperties()
'============================================================================================
Private Sub UserControl_Resize()
  lblLink.Move 0, 0, UserControl.Width, UserControl.Height
  RaiseEvent Resize
End Sub 'UserControl_Resize()
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblLink,lblLink,-1,ForeColor
Public Property Get LinkActiveColor() As OLE_COLOR
Attribute LinkActiveColor.VB_Description = "Returns/sets the foreground color used to display text and graphics in an object."
  LinkActiveColor = lblLink.ForeColor
End Property 'Get LinkActiveColor() As OLE_COLOR
'============================================================================================
Public Property Let LinkActiveColor(ByVal New_LinkActiveColor As OLE_COLOR)
  lblLink.ForeColor() = New_LinkActiveColor
  PropertyChanged "LinkActiveColor"
End Property 'Let LinkActiveColor(ByVal New_LinkActiveColor As OLE_COLOR)
'============================================================================================
Public Property Get LinkVisitedColor() As OLE_COLOR
Attribute LinkVisitedColor.VB_Description = "Return/set the color of link after being clicked"
  LinkVisitedColor = m_LinkVisitedColor
End Property 'Get LinkVisitedColor() As OLE_COLOR
'============================================================================================
Public Property Let LinkVisitedColor(ByVal New_LinkVisitedColor As OLE_COLOR)
  m_LinkVisitedColor = New_LinkVisitedColor
  PropertyChanged "LinkVisitedColor"
End Property 'Let LinkVisitedColor(ByVal New_LinkVisitedColor As OLE_COLOR)
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblLink,lblLink,-1,FontUnderline
Public Property Get LinkUnderLined() As Boolean
Attribute LinkUnderLined.VB_Description = "Returns/sets underline font styles."
Attribute LinkUnderLined.VB_ProcData.VB_Invoke_Property = "Miscellaneous"
  LinkUnderLined = lblLink.FontUnderline
End Property 'Get LinkUnderLined() As Boolean
'============================================================================================
Public Property Let LinkUnderLined(ByVal New_LinkUnderLined As Boolean)
  lblLink.FontUnderline() = New_LinkUnderLined
  PropertyChanged "LinkUnderLined"
End Property 'Let LinkUnderLined(ByVal New_LinkUnderLined As Boolean)
'============================================================================================
Public Property Get LinkSingleClickActivate() As Boolean
Attribute LinkSingleClickActivate.VB_Description = "Return/set if single click activates link"
Attribute LinkSingleClickActivate.VB_ProcData.VB_Invoke_Property = "Miscellaneous"
  LinkSingleClickActivate = m_LinkSingleClickActivate
End Property 'Get LinkSingleClickActivate() As Boolean
'============================================================================================
Public Property Let LinkSingleClickActivate(ByVal New_LinkSingleClickActivate As Boolean)
  m_LinkSingleClickActivate = New_LinkSingleClickActivate
  PropertyChanged "LinkSingleClickActivate"
End Property 'Let LinkSingleClickActivate(ByVal New_LinkSingleClickActivate As Boolean)
'============================================================================================
'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
  UserControl.BackColor = PropBag.ReadProperty("BackColor", &H8000000F)
  UserControl.Enabled = PropBag.ReadProperty("Enabled", True)
  Set Font = PropBag.ReadProperty("Font", Ambient.Font)
  UserControl.BackStyle = PropBag.ReadProperty("BackStyle", 1)
  UserControl.BorderStyle = PropBag.ReadProperty("BorderStyle", 0)
  lblLink.Alignment = PropBag.ReadProperty("Alignment", 0)
  lblLink.AutoSize = PropBag.ReadProperty("AutoSize", False)
  lblLink.Caption = PropBag.ReadProperty("Caption", "www.mkccomputers.com")
  lblLink.ForeColor = PropBag.ReadProperty("LinkActiveColor", &HC00000)
  m_LinkVisitedColor = PropBag.ReadProperty("LinkVisitedColor", m_def_LinkVisitedColor)
  lblLink.FontUnderline = PropBag.ReadProperty("LinkUnderLined", 0)
  m_LinkSingleClickActivate = PropBag.ReadProperty("LinkSingleClickActivate", m_def_LinkSingleClickActivate)
  m_LinkURL = PropBag.ReadProperty("LinkURL", m_def_LinkURL)
End Sub 'UserControl_ReadProperties(PropBag As PropertyBag)
'============================================================================================
'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
  Call PropBag.WriteProperty("BackColor", UserControl.BackColor, &H8000000F)
  Call PropBag.WriteProperty("Enabled", UserControl.Enabled, True)
  Call PropBag.WriteProperty("Font", Font, Ambient.Font)
  Call PropBag.WriteProperty("BackStyle", UserControl.BackStyle, 1)
  Call PropBag.WriteProperty("BorderStyle", UserControl.BorderStyle, 0)
  Call PropBag.WriteProperty("Alignment", lblLink.Alignment, 0)
  Call PropBag.WriteProperty("AutoSize", lblLink.AutoSize, False)
  Call PropBag.WriteProperty("Caption", lblLink.Caption, "www.mkccomputers.com")
  Call PropBag.WriteProperty("LinkActiveColor", lblLink.ForeColor, &HC00000)
  Call PropBag.WriteProperty("LinkVisitedColor", m_LinkVisitedColor, m_def_LinkVisitedColor)
  Call PropBag.WriteProperty("LinkUnderLined", lblLink.FontUnderline, 0)
  Call PropBag.WriteProperty("LinkSingleClickActivate", m_LinkSingleClickActivate, m_def_LinkSingleClickActivate)
  Call PropBag.WriteProperty("LinkURL", m_LinkURL, m_def_LinkURL)
End Sub 'UserControl_WriteProperties(PropBag As PropertyBag)
'============================================================================================
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=13,0,0,
Public Property Get LinkURL() As String
Attribute LinkURL.VB_Description = "Return/set the URL of the link"
Attribute LinkURL.VB_ProcData.VB_Invoke_Property = "Miscellaneous"
  LinkURL = m_LinkURL
End Property 'Get LinkURL() As String
'============================================================================================
Public Property Let LinkURL(ByVal New_LinkURL As String)
  m_LinkURL = New_LinkURL
  lblURL.Caption() = New_LinkURL
  PropertyChanged "LinkURL"
End Property 'Let LinkURL(ByVal New_LinkURL As String)
'============================================================================================

